Index: examples/delphes_card_ATLAS.tcl
===================================================================
--- examples/delphes_card_ATLAS.tcl	(revision 7fe06d6a7c140b2926b38334c9da411b60b305f0)
+++ examples/delphes_card_ATLAS.tcl	(revision be2222cc14ff474f18d30a4e0ebc21a952777df5)
@@ -29,4 +29,5 @@
   MissingET
 
+  NeutrinoFilter
   GenJetFinder
   FastJetFinder
@@ -406,4 +407,25 @@
 }
 
+
+#####################
+# Neutrino Filter
+#####################
+
+module PdgCodeFilter NeutrinoFilter {
+  
+  set InputArray Delphes/stableParticles
+  set OutputArray filteredParticles
+
+  set PTMin 0.0
+  
+  add PdgCode {12}
+  add PdgCode {14}
+  add PdgCode {16}
+  add PdgCode {-12}
+  add PdgCode {-14}
+  add PdgCode {-16}
+
+}
+
 #####################
 # MC truth jet finder
@@ -411,5 +433,5 @@
 
 module FastJetFinder GenJetFinder {
-  set InputArray Delphes/stableParticles
+  set InputArray NeutrinoFilter/filteredParticles
 
   set OutputArray jets
@@ -421,4 +443,5 @@
   set JetPTMin 20.0
 }
+
 
 ############
Index: examples/delphes_card_ATLAS_PileUp.tcl
===================================================================
--- examples/delphes_card_ATLAS_PileUp.tcl	(revision 7fe06d6a7c140b2926b38334c9da411b60b305f0)
+++ examples/delphes_card_ATLAS_PileUp.tcl	(revision be2222cc14ff474f18d30a4e0ebc21a952777df5)
@@ -21,5 +21,6 @@
   NeutralTowerMerger
   EFlowMerger
-
+  
+  NeutrinoFilter
   GenJetFinder
 
@@ -374,4 +375,25 @@
 }
 
+
+#####################
+# Neutrino Filter
+#####################
+
+module PdgCodeFilter NeutrinoFilter {
+  
+  set InputArray Delphes/stableParticles
+  set OutputArray filteredParticles
+
+  set PTMin 0.0
+  
+  add PdgCode {12}
+  add PdgCode {14}
+  add PdgCode {16}
+  add PdgCode {-12}
+  add PdgCode {-14}
+  add PdgCode {-16}
+
+}
+
 #####################
 # MC truth jet finder
@@ -379,5 +401,5 @@
 
 module FastJetFinder GenJetFinder {
-  set InputArray Delphes/stableParticles
+  set InputArray NeutrinoFilter/filteredParticles
 
   set OutputArray jets
Index: examples/delphes_card_CMS.tcl
===================================================================
--- examples/delphes_card_CMS.tcl	(revision 7fe06d6a7c140b2926b38334c9da411b60b305f0)
+++ examples/delphes_card_CMS.tcl	(revision be2222cc14ff474f18d30a4e0ebc21a952777df5)
@@ -29,4 +29,5 @@
   MissingET
 
+  NeutrinoFilter
   GenJetFinder
   FastJetFinder
@@ -416,4 +417,26 @@
 }
 
+
+#####################
+# Neutrino Filter
+#####################
+
+module PdgCodeFilter NeutrinoFilter {
+  
+  set InputArray Delphes/stableParticles
+  set OutputArray filteredParticles
+
+  set PTMin 0.0
+  
+  add PdgCode {12}
+  add PdgCode {14}
+  add PdgCode {16}
+  add PdgCode {-12}
+  add PdgCode {-14}
+  add PdgCode {-16}
+
+}
+
+
 #####################
 # MC truth jet finder
@@ -421,5 +444,5 @@
 
 module FastJetFinder GenJetFinder {
-  set InputArray Delphes/stableParticles
+  set InputArray NeutrinoFilter/filteredParticles
 
   set OutputArray jets
@@ -431,4 +454,7 @@
   set JetPTMin 20.0
 }
+
+
+
 
 ############
Index: examples/delphes_card_CMS_PileUp.tcl
===================================================================
--- examples/delphes_card_CMS_PileUp.tcl	(revision 7fe06d6a7c140b2926b38334c9da411b60b305f0)
+++ examples/delphes_card_CMS_PileUp.tcl	(revision be2222cc14ff474f18d30a4e0ebc21a952777df5)
@@ -22,5 +22,6 @@
   NeutralTowerMerger
   EFlowMerger
-
+  
+  NeutrinoFilter
   GenJetFinder
 
@@ -67,5 +68,5 @@
 
   # average expected pile up
-  set MeanPileUp 10
+  set MeanPileUp 50
 
   # maximum spread in the beam direction in m
@@ -387,9 +388,31 @@
 
 #####################
+# Neutrino Filter
+#####################
+
+module PdgCodeFilter NeutrinoFilter {
+  
+  set InputArray Delphes/stableParticles
+  set OutputArray filteredParticles
+
+  set PTMin 0.0
+  
+  add PdgCode {12}
+  add PdgCode {14}
+  add PdgCode {16}
+  add PdgCode {-12}
+  add PdgCode {-14}
+  add PdgCode {-16}
+
+}
+
+
+
+#####################
 # MC truth jet finder
 #####################
 
 module FastJetFinder GenJetFinder {
-  set InputArray Delphes/stableParticles
+  set InputArray NeutrinoFilter/filteredParticles
 
   set OutputArray jets
Index: examples/delphes_card_FCC_basic.tcl
===================================================================
--- examples/delphes_card_FCC_basic.tcl	(revision 7fe06d6a7c140b2926b38334c9da411b60b305f0)
+++ examples/delphes_card_FCC_basic.tcl	(revision be2222cc14ff474f18d30a4e0ebc21a952777df5)
@@ -24,5 +24,6 @@
 
   MissingET
-
+  
+  NeutrinoFilter
   GenJetFinder
   FastJetFinder
@@ -394,9 +395,30 @@
 
 #####################
+# Neutrino Filter
+#####################
+
+module PdgCodeFilter NeutrinoFilter {
+  
+  set InputArray Delphes/stableParticles
+  set OutputArray filteredParticles
+
+  set PTMin 0.0
+  
+  add PdgCode {12}
+  add PdgCode {14}
+  add PdgCode {16}
+  add PdgCode {-12}
+  add PdgCode {-14}
+  add PdgCode {-16}
+
+}
+
+
+#####################
 # MC truth jet finder
 #####################
 
 module FastJetFinder GenJetFinder {
-  set InputArray Delphes/stableParticles
+  set InputArray NeutrinoFilter/filteredParticles
 
   set OutputArray jets
